package com.huimv.environ.eco.controller;


import com.huimv.common.utils.Result;
import com.huimv.environ.eco.service.ISysFodderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-15
 */
@RestController
@RequestMapping("/sysFodder")
public class SysFodderController {
    @Autowired
    private ISysFodderService fodderService;

    @PostMapping("/getAllFodder")
    public Result getAllFodder(@RequestBody Map map){
        return fodderService.getAllFodder(map);
    }

    @PostMapping("/getFodder")
    public Result getFodder(@RequestBody Map map){
        return fodderService.getFodder(map);
    }

    @PostMapping("/getTodayAllFodderApp")
    public Result getTodayAllFodderApp(@RequestBody Map map){
        return fodderService.getTodayAllFodderApp(map);
    }




}
